# Revision Graph

Provides an alternative visualisation for Node revisions based on a custom TypeScript graph visualization library.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/revision_graph).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/revision_graph).


## Table of contents

- Requirements
- Installation
- Configuration
- Features
- Customization
- Troubleshooting
- Maintainers


## Requirements

This module requires no modules outside of Drupal core.


## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

The module has no menu or modifiable settings. There is no configuration. When
enabled, the module will add a "Revision Graph" tab to content types that have revisions enabled.

## Features

- **Visual Revision History**: Displays node revisions in a visual graph format
- **Interactive Interface**: Click on revisions to see detailed information
- **Performance Optimized**: Efficiently handles large revision histories

## Customization

The module's appearance can be customized by overriding the CSS classes in your theme. See the `styles.css` file in the `revision-graph-js/src` directory for available classes.

## Troubleshooting

- **Graph not displaying**: Check browser console for JavaScript errors
- **Visual glitches**: Clear browser cache and reload the page

## Maintainers

- Shibin Das - [D34dMan](https://www.drupal.org/u/d34dman)
