(function (Drupal) {
  Drupal.behaviors.revisionGraph = {
    attach: function (context, settings) {
      once('revision-graph', '#js-revision-graph', context).forEach(function (element) {

        // Convert commits to the format expected by our library
        const commits = settings.revision_graph.commits.map(commit => ({
          id: commit.id,
          message: commit.message,
          author: commit.author,
          timestamp: commit.timestamp,
          parents: commit.parents || [],
          refs: commit.branch ? [commit.branch] : [],
          tags: commit.tags || [],
          urls: commit.urls || []
        }));
        console.log(commits);
        // Initialize the graph
        const graph = new RevisionGraph({
          width: 720,
          nodeHeight: 40,
          nodeWidth: 20,
          columnWidth: 50,
          colors: ["#e11d21", "#fbca04", "#d65c1f", "#006b75", "#207de5", "#0052cc", "#5319e7"],
          showLabels: true,
          theme: "light",
          branchColors: new Map()
        },
        commits);

        const graphNode = document.getElementById('js-revision-graph--graph');
        const listNode = document.getElementById('js-revision-graph--list');
        // Render the graph
        const graphGenerator = graph.renderGraph(graphNode, commits);
        // Render the commit list
        const listGenerator = graph.renderList(listNode, commits);
      });
    }
  };
})(Drupal, once);
